︠ba0ef25a-4cf0-4810-b359-5f1d92bd32e3s︠
def geodesictorusplot(A,B):
    a = polygon2d([(0,0), (1,0), (1,1), (0,1)], color='orange')
    R = RealField(53)
    def f(x):
        x = R(x)
        return [x  - floor(x), A*x+B - floor(A*x+B)]
    v = [f(x) for x in [0, .001,..,30]]
    b = points(v, zorder=10, size = 3)
    return(show(a + b, frame=True, gridlines=True)) 
geodesictorusplot(.123051,0)
︡54da29e7-1f9d-4101-9ea6-80855878a8d4︡{"file":{"filename":"/projects/964746f5-5884-402a-9a96-f9a773ed7436/.sage/temp/compute4-us/12985/tmp_9ypPNo.svg","show":true,"text":null,"text":null,"uuid":"4135289a-99b2-49fd799bf-4964726483c0"},"once":false}︡{"done":true}︡︡
︠10b657e9-62b9-4dcd-a842-55cdc25d74das︠
def circletorusplot(T):
    a = polygon2d([(0,0), (1,0), (1,1), (0,1)], color='orange')
    R = RealField(53)
    def f(x):
        x = R(x)
        return [T*cos(x) - floor(T*cos(x)), (T*sin(x)) - floor(T*sin(x))]
    v = [f(x) for x in [0, .001,..,7]]
    b = points(v, zorder=10, size = 5)
    return(show(a + b, frame=True, gridlines=True)) 
circletorusplot(.5)
︡34ddb5b9-4597-4be4-849c-44dc3dc90351︡{"file":{"filename":"/projects/964746f5-5884-402a-9a96-f9a773ed7436/.sage/temp/compute4-us/6603/tmp_gdTEAg.svg","show":true,"text":null,"uuid":"4e83c78d-bd13-44d8-965e-f58920b8ddb4"},"once":false}︡{"done":true}︡
︠07b24d59-43e7-4918-aa3b-43eaaa1cb966s︠
def spiraltorusplot(A,B,S):
    a = polygon2d([(0,0), (1,0), (1,1), (0,1)], color='orange')
    R = RealField(53)
    def f(x):
        x = R(x)
        return [A*exp(B*x)*cos(S*(x))+.7-A - floor(A*exp(B*x)*cos(S*(x))+.7-A), (A*exp(B*x)*sin(S*(x)))+.5 - floor(A*exp(B*x)*sin(S*(x))+.5)]
    v = [f(x) for x in [0, .001,..,1.36]]
    b = points(v, zorder=10, size = 5)
    return(show(a + b, frame=True, gridlines=True)) 
spiraltorusplot(0.16, 2, 20)
︡5ea0f7ea-d355-4cc5-b762-62d44f4a9db1︡{"file":{"filename":"/projects/964746f5-5884-402a-9a96-f9a773ed7436/.sage/temp/compute4-us/6603/tmp_hesM61.svg","show":true,"text":null,"uuid":"b0a61152-783f-4abb-a4a8-555f193bdd20"},"once":false}︡{"done":true}︡
︠10fcc9b6-9d27-4d72-967e-ccbdcfa4d18as︠

def skewgeodesictorusplot(A,B,s):
    a = polygon2d([(0,0), (1,0), (1+s,1), (s,1)], color='orange')
    R = RealField(53)
    def f(x):
        x = R(x)
        return [x  - floor(x-s*(A*x+B))-s*floor(A*x+B), A*x+B - floor(A*x+B)]
    v = [f(x) for x in [0, .001,.., 5]]
    b = points(v, zorder=10, size = 3)
    return(show(a + b, frame=True, gridlines=True)) 
skewgeodesictorusplot(0.7,0.9,0)

︡2e0f58a4-59f8-46ca-abe7-49e566b53c62︡{"file":{"filename":"/projects/964746f5-5884-402a-9a96-f9a773ed7436/.sage/temp/compute4-us/12986/tmp_uQJDyG.svg","show":true,"text":null,"text":null,"uuid":"dc5309c0dd856-4b37-89f5-adbd1a82d255"},"once":false}︡{"done":true}︡︡
︠f7ba9686-255a-4a03-92d4-e933c01a5d7f︠









